package es.jmillandel.senassistant.beans;

/**
 * Clase que define un aviso
 * 
 * @author Juan Millan
 *
 */
public class Aviso {
	private Sitio sitio;
	private Mensaje mensaje;
	private Destinatario destinatario;
	private Condicion condicion;
	private long tiempo;

	public Aviso() {
		sitio = new Sitio();
		mensaje = new Mensaje();
		destinatario = new Destinatario();
		condicion = Condicion.LLEGAR;
		tiempo=0;
	}

	public Sitio getSitio() {
		return sitio;
	}

	public void setSitio(Sitio sitio) {
		this.sitio = sitio;
	}

	public Mensaje getMensaje() {
		return mensaje;
	}

	public void setMensaje(Mensaje mensaje) {
		this.mensaje = mensaje;
	}

	public Destinatario getDestinatario() {
		return destinatario;
	}

	public void setDestinatario(Destinatario destinatario) {
		this.destinatario = destinatario;
	}

	public Condicion getCondicion() {
		return condicion;
	}

	public void setCondicion(Condicion condicion) {
		this.condicion = condicion;
	}
	
	public long getTiempo() {
		return tiempo;
	}

	public void setTiempo(long tiempo) {
		this.tiempo = tiempo;
	}

	@Override
	public String toString() {
		return "Aviso [sitio=" + sitio + ", mensaje=" + mensaje
				+ ", destinatario=" + destinatario + ", condicion=" + condicion
				+ ", tiempo=" + tiempo + "]";
	}
	
}
