package es.jmillandel.senassistant.beans;

import java.util.Date;

/**
 * Clase que define un trayecto
 * 
 * @author Juan  Millan
 *
 */
public class Trayecto {
	private int idTrayecto;
	private Date diaHora;
	private double longitud;
	private double latitud;
	private String direccion;
	private double tiempoPerm;
	private double tiempoTrans;
	private double distancia;

	public Trayecto() {
		idTrayecto=0;
		diaHora=new Date();
		longitud=0.0;
		latitud=0.0;
		direccion="";
		tiempoPerm=0.0;
		tiempoTrans=0.0;
		distancia=0.0;
	}

	public int getIdTrayecto() {
		return idTrayecto;
	}

	public void setIdTrayecto(int idTrayecto) {
		this.idTrayecto = idTrayecto;
	}

	public Date getDiaHora() {
		return diaHora;
	}

	public void setDiaHora(Date diaHora) {
		this.diaHora = diaHora;
	}

	public double getLongitud() {
		return longitud;
	}

	public void setLongitud(double longitud) {
		this.longitud = longitud;
	}

	public double getLatitud() {
		return latitud;
	}

	public void setLatitud(double latitud) {
		this.latitud = latitud;
	}

	public String getDireccion() {
		return direccion;
	}

	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	public double getTiempoPerm() {
		return tiempoPerm;
	}

	public void setTiempoPerm(double tiempoPerm) {
		this.tiempoPerm = tiempoPerm;
	}

	public double getTiempoTrans() {
		return tiempoTrans;
	}

	public void setTiempoTrans(double tiempoTrans) {
		this.tiempoTrans = tiempoTrans;
	}

	public double getDistancia() {
		return distancia;
	}

	public void setDistancia(double distancia) {
		this.distancia = distancia;
	}

	@Override
	public String toString() {
		return "Trayecto [idTrayecto=" + idTrayecto + ", diaHora=" + diaHora
				+ ", longitud=" + longitud + ", latitud=" + latitud
				+ ", direccion=" + direccion + ", tiempoPerm=" + tiempoPerm
				+ ", tiempoTrans=" + tiempoTrans + ", distancia=" + distancia
				+ "]";
	}

}
