package es.jmillandel.senassistant.beans;

/**
 * Clase que define un mensaje
 * 
 * @author Juan Millan
 *
 */
public class Mensaje {
	private int idMensaje;
	private String titulo;
	private String texto;
	private boolean situacion;

	public Mensaje() {
		idMensaje=0;
		titulo="";
		texto="";
		situacion=true;
	}

	public int getIdMensaje() {
		return idMensaje;
	}

	public void setIdMensaje(int idMensaje) {
		this.idMensaje = idMensaje;
	}

	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public String getTexto() {
		return texto;
	}

	public void setTexto(String texto) {
		this.texto = texto;
	}

	public boolean isSituacion() {
		return situacion;
	}

	public void setSituacion(boolean situacion) {
		this.situacion = situacion;
	}

	@Override
	public String toString() {
		return "Mensaje [idMensaje=" + idMensaje + ", titulo=" + titulo
				+ ", texto=" + texto + ", situacion=" + situacion + "]";
	}

}
