package es.jmillandel.senassistant.beans;

/**
 * Clase que define un sitio
 * 
 * @author Juan Millan
 *
 */
public class Sitio {
	private int idSitio;
	private String nombre;
	private String direccion;
	private double longitud;
	private double latitud;
	private double cosLat;
	private double sinLat;
	private double cosLng;
	private double sinLng;

	public Sitio() {
		idSitio=0;
		nombre="";
		direccion="";
		longitud=0;
		latitud=0;
		cosLat=0;
		sinLat=0;
		cosLng=0;
		sinLng=0;
	}

	public int getIdSitio() {
		return idSitio;
	}

	public void setIdSitio(int idSitio) {
		this.idSitio = idSitio;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getDireccion() {
		return direccion;
	}

	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	public double getLongitud() {
		return longitud;
	}

	public void setLongitud(double longitud) {
		this.longitud = longitud;
		cosLng=(double) Math.cos(Math.toRadians(longitud));
		sinLng=(double) Math.sin(Math.toRadians(longitud));
	}

	public double getLatitud() {
		return latitud;
	}

	public void setLatitud(double latitud) {
		this.latitud = latitud;
		cosLat=(double) Math.cos(Math.toRadians(longitud));
		sinLat=(double) Math.sin(Math.toRadians(longitud));
	}
	
	public double getCosLat() {
		return cosLat;
	}

	public double getSinLat() {
		return sinLat;
	}

	public double getCosLng() {
		return cosLng;
	}

	public double getSinLng() {
		return sinLng;
	}

	@Override
	public String toString() {
		return "Sitio [idSitio=" + idSitio + ", nombre=" + nombre
				+ ", direccion=" + direccion + ", longitud=" + longitud
				+ ", latitud=" + latitud + "]";
	}

}
